Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 965170 - webadmin: when unchecking the "collapse snapshot" tag in import dialogue it will change the disks allocation policy in the dialogue view to thinprovision no matter what the original disk is
Summary: webadmin: when unchecking the "collapse snapshot" tag in import dialogue it w...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.2.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Tal Nisan
QA Contact: Leonid Natapov
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-05-20 15:21 UTC by Dafna Ron
Modified: 2016-02-10 20:16 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:06:35 UTC
oVirt Team: Storage
Target Upstream Version:
abaron: Triaged+


Attachments (Terms of Use)
screen shots (deleted)
2013-05-20 15:21 UTC, Dafna Ron
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 19234 None None None Never

Description Dafna Ron 2013-05-20 15:21:29 UTC
Created attachment 750630 [details]
screen shots

Description of problem:

if you uncheck the "collapse snapshot" when importing a vm we will always see the disks as thinprovision.
checking the "collapse snapshots" back will keep the view on thinproviosion.

Version-Release number of selected component (if applicable):

sf17

How reproducible:

100%

Steps to Reproduce:
1. create and export a vm with preallocated disk or one preallocated and one thinprovision
2. remove the vm from the setup
3. storage tab -> select export domain -> vms -> import the vm
4. go to the disks tab: the view should show the disks original allocation
5. uncheck the collapse snapshot box -> disks change to thinprovision
6. check the collapse snapshot -> disks become grayed out with thinprovision

Actual results:

when we uncheck the collapse snapshots, the disk allocation is shown as thinprovision

Expected results:

we need to show the disk's actual allocation until the user manually changes them.

Additional info: screen shots

Comment 2 Sandro Bonazzola 2014-01-14 08:44:13 UTC
ovirt 3.4.0 alpha has been released

Comment 3 Leonid Natapov 2014-01-22 16:26:55 UTC
verivied on 3.4.0-0.2.master.20140112020439.git9ad8529.el6. Disk's actual allocation preserved no matter if collapse snapshot checked or unchecked.

Comment 4 Itamar Heim 2014-06-12 14:06:35 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.